package com.iformall.mapper;

import java.util.List;
import java.util.Map;

import com.iformall.common.CommonMapper;
import com.iformall.domain.dto.WxCUserBasicInfoDto;
import com.iformall.domain.po.WxCUser;
import com.iformall.domain.vo.UserCountVo;

public interface WxCUserMapper extends CommonMapper<WxCUser, Long> {

	List<WxCUser> findList(WxCUser wxCUser);
	
	WxCUser findByOpenId(WxCUser record);

    WxCUser findByUnionId(WxCUser record);

	WxCUser findByToken(String token);
	
	long findCount(WxCUserBasicInfoDto dto);

	List<UserCountVo> findCountHistory(WxCUserBasicInfoDto dto);

	List<WxCUser> listByChannel(WxCUser wxCUser);

	long countByChannel(WxCUser wxCUser);

	List<Map<String, Object>> checkCountByTenantOpenId();
}
